
Figure - Bug #113749
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现CRASH: com.android.deskclock
2022-11-07 14:42 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date: 2022-11-14

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-17

Test Type: Monkey Test Root cause: AOSP问题

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// CRASH: com.android.deskclock (pid 8786)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: Fragment StopwatchFragment{7a43c5f} (ea567494-dc08-4f3b-84c5-6b7ade23130c)} not attached

to a context.

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1290:user/test-keys

// Build Changelist: 1290

// Build Time: 1667497248000

// java.lang.IllegalStateException: Fragment StopwatchFragment{7a43c5f} (ea567494-dc08-4f3b-84c5-6b7ade23130c)} not attached to a context.

//     at androidx.fragment.app.Fragment.requireContext(Fragment.java:901)

//     at androidx.fragment.app.Fragment.getResources(Fragment.java:965)

//     at com.android.deskclock.stopwatch.StopwatchFragment.onUpdateFabButtons(StopwatchFragment.kt:264)

//     at com.android.deskclock.DeskClock$onCreate$5.onAnimationEnd(DeskClock.kt:231)

//     at android.animation.Animator$AnimatorListener.onAnimationEnd(Animator.java:555)

//     at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1250)

//     at android.animation.ValueAnimator.doAnimationFrame(ValueAnimator.java:1492)

//     at android.animation.ValueAnimator.pulseAnimationFrame(ValueAnimator.java:1508)

//     at android.animation.AnimatorSet.pulseFrame(AnimatorSet.java:1170)

//     at android.animation.AnimatorSet.handleAnimationEvents(AnimatorSet.java:1153)

//     at android.animation.AnimatorSet.doAnimationFrame(AnimatorSet.java:1053)

//     at android.animation.AnimationHandler.doAnimationFrame(AnimationHandler.java:146)

//     at android.animation.AnimationHandler.access$100(AnimationHandler.java:37)

//     at android.animation.AnimationHandler$1.doFrame(AnimationHandler.java:54)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1118)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:854)
//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

日志见Bug #113470 附件

History

#1 - 2022-11-07 17:02 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-10 20:35 - CD APP-王营

- % Done changed from 0 to 30

- Resolution changed from -- to FIXED

- Root cause set to AOSP问题

■ Current conclusion

问题已修改待测试复测

■ My analysis

Fragment StopwatchFragment not attached to a context.

在getResources()时需要Context，而这时Fragment可能与Activity不在绑定状态，所以在Fragment处理异步操作时，需要加判断：isAdded()。确保不会出问题

。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DeskClock/+/161837

#3 - 2022-11-16 19:49 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-11-17 15:34 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 30 to 100

- Fixed Version set to 2022-11-17

代码已入库，请使用最新user版本验证此问题。

#5 - 2022-11-17 15:34 - CD APP-王营

- Degrated changed from -- to No
#6 - 2022-11-18 10:40 - CD Test赵飞

- % Done changed from 100 to 70

#7 - 2022-11-22 10:03 - CD Test赵飞

11月18号DB版本（user）未复现此问题

Monkey问题，继续跟踪2个版本

#8 - 2022-11-24 20:40 - CD Test赵飞

11月23号DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#9 - 2022-11-25 11:29 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月24号Release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#10 - 2022-11-25 11:30 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#11 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161837 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Fix DeskClock crash in monkey test1.Fix Fragment StopwatchFragment not attached to a context.Change-Id:

I4665be7b63568742a16574cdb8d20512fd5c7361TC-RID: 1201-0300901IssueID: TS-R-BUG-113749
